Index: views/layouts/page.gsp
===================================================================
--- views/layouts/page.gsp	(revision 715)
+++ views/layouts/page.gsp	(working copy)
@@ -35,7 +35,7 @@
         <g:link controller="admin">Admin</g:link>
       </jsec:hasRole>
       <jsec:isLoggedIn>
-        <g:pageLink action="show" id="1" linkPath="doc/">Help</g:pageLink>
+        <cow:pageLink action="show" id="1" linkPath="doc/">Help</cow:pageLink>
       </jsec:isLoggedIn>
     </div>
 
Index: views/layouts/main.gsp
===================================================================
--- views/layouts/main.gsp	(revision 715)
+++ views/layouts/main.gsp	(working copy)
@@ -36,7 +36,7 @@
         <g:link controller="admin">Admin</g:link>
       </jsec:hasRole>
       <jsec:isLoggedIn>
-        <g:pageLink action="show" id="1" linkPath="doc/">Help</g:pageLink>
+        <cow:pageLink action="show" id="1" linkPath="doc/">Help</cow:pageLink>
       </jsec:isLoggedIn>
     </div>
 
Index: views/wiki/list.gsp
===================================================================
--- views/wiki/list.gsp	(revision 715)
+++ views/wiki/list.gsp	(working copy)
@@ -32,7 +32,7 @@
               <td>${wiki.path?.encodeAsHTML()}</td>
               <td>${wiki.description?.encodeAsHTML()}</td>
               <td>${wiki.directoryListingAllowed?.encodeAsHTML()}</td>
-              <td><g:pageLink action="show" id="${wiki.id}" linkPath="">Browse area ${wiki.id}</g:pageLink></td>
+              <td><cow:pageLink action="show" id="${wiki.id}" linkPath="">Browse area ${wiki.id}</cow:pageLink></td>
             </tr>
           </g:each>
           </tbody>
Index: views/wiki/show.gsp
===================================================================
--- views/wiki/show.gsp	(revision 715)
+++ views/wiki/show.gsp	(working copy)
@@ -51,7 +51,7 @@
                             <td valign="top" class="name">Browse:</td>
                             
                             <td valign="top" class="value">
-                              <g:pageLink action="show" id="${wiki.id}" linkPath="">Browse area</g:pageLink> ${wiki.id}
+                              <cow:pageLink action="show" id="${wiki.id}" linkPath="">Browse area</cow:pageLink> ${wiki.id}
                             </td>
                             
                         </tr>
Index: views/page/_yamHtmlLinks.gsp
===================================================================
--- views/page/_yamHtmlLinks.gsp	(revision 715)
+++ views/page/_yamHtmlLinks.gsp	(working copy)
@@ -1,5 +1,5 @@
 <cow:hasPermission page="${thisPage}" actions="edit">
 </cow:hasPermission>
-<g:pageLink action="edit" id="${thisPage.id}" linkPath="${thisPage.pagePath}" query="rich=1">Edit</g:pageLink>
-<g:pageLink action="edit" id="${thisPage.id}" linkPath="${thisPage.pagePath}">(with form)</g:pageLink>
-<g:pageLink action="show" id="${thisPage.id}" linkPath="${thisPage.pagePathDir}" query="type=dir">Directory</g:pageLink>
+<cow:pageLink action="edit" id="${thisPage.id}" linkPath="${thisPage.pagePath}" query="rich=1">Edit</cow:pageLink>
+<cow:pageLink action="edit" id="${thisPage.id}" linkPath="${thisPage.pagePath}">(with form)</cow:pageLink>
+<cow:pageLink action="show" id="${thisPage.id}" linkPath="${thisPage.pagePathDir}" query="type=dir">Directory</cow:pageLink>
Index: views/page/edit/preview.gsp
===================================================================
--- views/page/edit/preview.gsp	(revision 715)
+++ views/page/edit/preview.gsp	(working copy)
@@ -11,7 +11,7 @@
  
 
 
-      <form action="${pageURI(action:'edit', id:id, linkPath:pagePath)}" method="post">
+      <form action="${cow.pageURI(action:'edit', id:id, linkPath:pagePath)}" method="post">
         <input type="hidden" name="_flowExecutionKey" value="${request['flowExecutionKey']}" id="_flowExecutionKey" />
 
 
Index: views/page/edit/normalExit.gsp
===================================================================
--- views/page/edit/normalExit.gsp	(revision 715)
+++ views/page/edit/normalExit.gsp	(working copy)
@@ -2,7 +2,7 @@
   <head>
     <title>CoW: Controllable Wiki</title>
     <meta http-equiv="refresh"
-      content="0;url=${pageURI(action:'show', id:id, linkPath:pagePath)}"
+      content="0;url=${cow.pageURI(action:'show', id:id, linkPath:pagePath)}"
     />
     <% flash.message = message %>
     <% flash.errMessage = errMessage %>
Index: views/page/edit/errorExit.gsp
===================================================================
--- views/page/edit/errorExit.gsp	(revision 715)
+++ views/page/edit/errorExit.gsp	(working copy)
@@ -3,12 +3,12 @@
     <title>CoW: Controllable Wiki</title>
     <g:if test="${id && pageExists}">
       <meta http-equiv="refresh"
-        content="0;url=${pageURI(action:'show', id:id, linkPath:pagePath)}"
+        content="0;url=${cow.pageURI(action:'show', id:id, linkPath:pagePath)}"
       />
     </g:if>
     <g:else>
       <meta http-equiv="refresh"
-        content="0;url=${pageURI(action:'show', id:id, linkPath:'help/')}"
+        content="0;url=${cow.pageURI(action:'show', id:id, linkPath:'help/')}"
       />
     </g:else>
     <% flash.message = message %>
Index: views/page/edit/edit.gsp
===================================================================
--- views/page/edit/edit.gsp	(revision 715)
+++ views/page/edit/edit.gsp	(working copy)
@@ -15,7 +15,7 @@
       <g:render template="/messages" model="${pageScope.variables}" />
 
       <g:if test="${rich}">
-        <form action="${pageURI(action:'edit', id:id, linkPath:pagePath, query:'rich=1')}"
+        <form action="${cow.pageURI(action:'edit', id:id, linkPath:pagePath, query:'rich=1')}"
             method="post" enctype="multipart/form-data">
           <input type="hidden" name="_flowExecutionKey" value="${request['flowExecutionKey']}" id="_flowExecutionKey" />
           <span class="button"><g:submitButton name="preview" value="Preview" /></span>
@@ -27,14 +27,14 @@
             config="${ [
               'BaseHref' : (
                 (request.rootURL) ?: 'http://' + request.serverName + ':' + request.serverPort
-              ) + pageURI(action:'edit', id:id, linkPath:pagePathDir)
+              ) + cow.pageURI(action:'edit', id:id, linkPath:pagePathDir)
             ]}"
           />
         </form>
       </g:if>
       <g:else>
         <div class="editForm">
-          <form action="${pageURI(action:'edit', id:id, linkPath:pagePath)}" method="post">
+          <form action="${cow.pageURI(action:'edit', id:id, linkPath:pagePath)}" method="post">
             <input type="hidden" name="_flowExecutionKey" value="${request['flowExecutionKey']}" id="_flowExecutionKey" />
             <table>
               <tbody>
Index: views/page/_dirLinks.gsp
===================================================================
--- views/page/_dirLinks.gsp	(revision 715)
+++ views/page/_dirLinks.gsp	(working copy)
@@ -1,2 +1,2 @@
-<g:pageLink action="newpage" id="${thisPage.id}" linkPath="${thisPage.pagePathDir}" query="type=newpage">New page</g:pageLink>
-<g:pageLink action="upload" id="${thisPage.id}" linkPath="${thisPage.pagePath}">Upload</g:pageLink>
+<cow:pageLink action="newpage" id="${thisPage.id}" linkPath="${thisPage.pagePathDir}" query="type=newpage">New page</cow:pageLink>
+<cow:pageLink action="upload" id="${thisPage.id}" linkPath="${thisPage.pagePath}">Upload</cow:pageLink>
Index: views/page/newpage/confirm.gsp
===================================================================
--- views/page/newpage/confirm.gsp	(revision 715)
+++ views/page/newpage/confirm.gsp	(working copy)
@@ -20,7 +20,7 @@
 -->
 
       <div class="confirmForm">
-        <form action="${pageURI(action:'newpage', id:id, linkPath:pagePathDir)}" method="post">
+        <form action="${cow.pageURI(action:'newpage', id:id, linkPath:pagePathDir)}" method="post">
           <input type="hidden" name="_flowExecutionKey" value="${request['flowExecutionKey']}" id="_flowExecutionKey" />
           <table>
             <tbody>
Index: views/page/newpage/getName.gsp
===================================================================
--- views/page/newpage/getName.gsp	(revision 715)
+++ views/page/newpage/getName.gsp	(working copy)
@@ -11,7 +11,7 @@
       <g:render template="/messages" model="${pageScope.variables}" />
 
       <div class="inlineForm">
-        <form action="${pageURI(action:'newpage', id:id, linkPath:pagePath)}" method="post">
+        <form action="${cow.pageURI(action:'newpage', id:id, linkPath:pagePath)}" method="post">
           <input type="hidden" name="_flowExecutionKey" value="${request['flowExecutionKey']}" id="_flowExecutionKey" />
           <label class="pageLink" for="newpageName">New page name:</label>
           <input type="text" name="newpageName" id="newpageName" tabindex="1"/>
Index: views/page/newpage/normalExit.gsp
===================================================================
--- views/page/newpage/normalExit.gsp	(revision 715)
+++ views/page/newpage/normalExit.gsp	(working copy)
@@ -8,7 +8,7 @@
     </g:if>
     <g:else>
       <meta http-equiv="refresh"
-        content="0;url=${pageURI(action:'show', id:id, linkPath:pagePath, query:'type=dir')}"
+        content="0;url=${cow.pageURI(action:'show', id:id, linkPath:pagePath, query:'type=dir')}"
       />
     </g:else>
   </head>
Index: views/page/newpage/errorExit.gsp
===================================================================
--- views/page/newpage/errorExit.gsp	(revision 715)
+++ views/page/newpage/errorExit.gsp	(working copy)
@@ -8,12 +8,12 @@
     </g:if>
     <g:elseif test="${id && pageExists}">
       <meta http-equiv="refresh"
-        content="0;url=${pageURI(action:'show', id:id, linkPath:pagePath)}"
+        content="0;url=${cow.pageURI(action:'show', id:id, linkPath:pagePath)}"
       />
     </g:elseif>
     <g:else>
       <meta http-equiv="refresh"
-        content="0;url=${pageURI(action:'show', id:id, linkPath:'help/')}"
+        content="0;url=${cow.pageURI(action:'show', id:id, linkPath:'help/')}"
       />
     </g:else>
   </head>
Index: views/page/_htmlLinks.gsp
===================================================================
--- views/page/_htmlLinks.gsp	(revision 715)
+++ views/page/_htmlLinks.gsp	(working copy)
@@ -1,2 +1,2 @@
-<g:pageLink action="edit" id="${thisPage.id}" linkPath="${thisPage.pagePath}" query="rich=1">Edit</g:pageLink>
-<g:pageLink action="show" id="${thisPage.id}" linkPath="${thisPage.pagePathDir}" query="type=dir">Directory</g:pageLink>
+<cow:pageLink action="edit" id="${thisPage.id}" linkPath="${thisPage.pagePath}" query="rich=1">Edit</cow:pageLink>
+<cow:pageLink action="show" id="${thisPage.id}" linkPath="${thisPage.pagePathDir}" query="type=dir">Directory</cow:pageLink>
Index: taglib/PageLinkTagLib.groovy
===================================================================
--- taglib/PageLinkTagLib.groovy	(revision 715)
+++ taglib/PageLinkTagLib.groovy	(working copy)
@@ -15,11 +15,13 @@
  * Tags to make links including CoW wiki paths.
  */
 class PageLinkTagLib {
+  /** Put these tags in the cow: namespace. */
+  static namespace = 'cow'
 
- /**
-  * Page links.
-  * (A span of class "pageLink" is also output.)
-  */
+  /**
+   * Page links.
+   * (A span of class "pageLink" is also output.)
+   */
   def pageLink = { attrs, body ->
     String theLink = pageURI(attrs, body)
     out << """<span class="pageLink">"""
Index: taglib/SecurityTagLib.groovy
===================================================================
--- taglib/SecurityTagLib.groovy	(revision 715)
+++ taglib/SecurityTagLib.groovy	(working copy)
@@ -13,6 +13,7 @@
 import gate.cow.CowPermission
 
 class SecurityTagLib {
+  /** Put these tags in the cow: namespace. */
   static namespace = 'cow'
 
   /**
